Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000067 [libFirm] API minor always 2011-06-06 16:22 2016-01-03 03:28
Reporter zwinkau View Status public  
Assigned To Matze
Priority low Resolution fixed  
Status closed   Product Version development
Summary 0000067: Confusing error message for invalid -b option arguments
Description $ cparser -bregalloc=foo
error: unknown Firm backend option '-b regalloc=foo'

The phrase "unknown option" is wrong, since -bregalloc is a correct option. However, the option argument is wrong as there is no foo register allocator. Cparser should report a better error message here.

This requires the libFirm API be_parse_arg to be more specific about the error, instead of returning just 0 or 1.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000222)
Matze (administrator)
2014-09-29 10:24

I reformulated the error message in revision e6d78fb8baf911513f0b0a742dff4ba392b81823. Note that I decided to not redesign the firm API as these options are meant for developers only, so I don't think more complicated code is warranted here (you could think of these options as a hack anyway as it is not really the job of libfirm to parse commandline options).

- Issue History
Date Modified Username Field Change
2011-06-06 16:22 zwinkau New Issue
2012-09-28 12:56 Matze Status new => confirmed
2014-09-29 10:24 Matze Note Added: 0000222
2014-09-29 10:24 Matze Assigned To => Matze
2014-09-29 10:24 Matze Status confirmed => resolved
2014-09-29 10:24 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker